- @show_title = @show_title != false
!!!
%html{ lang: I18n.locale }
  %head
    %meta{ 'http-equiv' => 'Content-Type', :content => 'text/html; charset=UTF-8' }
    %meta{ 'http-equiv' => 'X-UA-Compatible', :content => 'ie=edge' }
    %meta{ name: 'viewport',
           content: 'width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0' }
    %title #{@page_title ? "#{@page_title} - " : ''}Garden Party
    = csrf_meta_tags
    = csp_meta_tag
    %link{ rel: 'apple-touch-icon', sizes: '180x180', href: '/apple-touch-icon.png' }
    %link{ rel: 'icon', type: 'image/png', sizes: '32x32', href: '/favicon-32x32.png' }
    %link{ rel: 'icon', type: 'image/png', sizes: '16x16', href: '/favicon-16x16.png' }
    %link{ rel: 'icon', type: 'image/x-icon', sizes: '16x16 32x32 48x48', href: '/favicon.ico' }
    %link{ rel: 'manifest', href: '/site.webmanifest' }
    %meta{ name: 'msapplication-TileColor', content: '#383c4a' }
    %meta{ name: 'theme-color', content: '#ffffff' }
    = vite_client_tag
    -# Define window.i18n and populate translations messages
    = vite_javascript_tag "entrypoints/locales/#{I18n.locale}.js", preload: true
    -# Main application scripts
    = vite_javascript_tag 'application.js', preload: true
  :ruby
    body_classes = []
    if current_user && current_user.preferences['theme']
      body_classes.push "rui-theme rui-theme--#{current_user.preferences['theme']}"
    end
    body_classes.push '-ptxl' unless @no_rails_layout
    body_classes.push 'body--has-fixed-menu' if admin_page?
    body_classes.push 'body--has-footer' unless @no_footer
  %body{ class: body_classes.join(' ') }
    - if @no_rails_layout
      = yield
    - else
      %div{ class: admin_controller? ? '_container' : '_container--medium' }
        - unless admin_controller?
          = render 'layouts/application/header'
        = render 'layouts/application/menu'

        = render 'layouts/flash_messages'

        - if @page_title && @show_title
          %h1= @page_title

        = content_for?(:page_content) ? yield(:page_content) : yield

    - unless @no_footer
      ._footer
        = t('.instance_info_html',
              link: link_to('Garden Party', 'https://garden-party.io', target: '_blank', rel: 'noopener'),
              version: GardenParty::Application::VERSION).html_safe
        \| #{link_to t('.changelog'), changelog_path}
